addfriend/urls.py
from django.conf.urls import url
from .views import index, add_friend

urlpatterns = [
	url(r'^$', index, name='index'),
	url(r'^add_friend', add_friend, name='add_friend'),
]

profileMenu/urls.py
from django.conf.urls import url, include
from .views import index

# This is editProfile url
#from .views import editProfile

urlpatterns = [
    url(r'^$', index, name='index'),
    # url(r'^editprofile/', editProfile, name = 'editprofile'),
]

t1_status/urls.py
from django.conf.urls import url
from .views import index, add_status

urlpatterns = [
	url(r'^$', index, name='index'),
    url(r'^add_status', add_status, name='add_status'),
]

tp1ppw/urls.py
from django.conf.urls import url, include
from django.contrib import admin
import addfriend.urls as addfriend
import t1_status.urls as status
import profileMenu.urls as profileMenu
from django.views.generic.base import RedirectView

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^addfriend/', include(addfriend,namespace ='addfriend')),
    url(r'^status/', include(status,namespace ='status')),
    url(r'^profile/', include(profileMenu, namespace = 'profileMenu')),
    url(r'^$', RedirectView.as_view(url='profile/', permanent='true')),
]

addfriend/models.py
from django.db import models

class Todo(models.Model):
    title = models.CharField(max_length=27)
    description = models.TextField()
    created_date = models.DateTimeField(auto_now_add=True)

profileMenu/models.py
from django.db import models
from datetime import datetime

class Account(models.Model):
    #def convertTimeZone():
    #    return timezone.now() + timezone.timedelta(hours=7)

    GENDER = (('M', 'Male'), ('F', 'Female'))

    name = models.CharField(max_length = 60)
    birth = models.DateTimeField(blank=True)
    gender = models.CharField(max_length = 1, choices=GENDER, default="M")
    email = models.EmailField()
    desc  = models.TextField()
    imageUseDefault = models.BooleanField(default=True)
    url = models.TextField(default="")

class Tag (models.Model):
    name = models.CharField(max_length = 60, default="Hepzibah Smith")
    account = models.ForeignKey(Account, on_delete=models.CASCADE)
    checked = models.BooleanField(default=False)

t1_status/models.py
from django.db import models
from datetime import datetime

class Account(models.Model):
    name = models.CharField(max_length = 60)

class Status(models.Model):
    status = models.TextField()
    created_date = models.DateTimeField(auto_now_add=True)

addfriend/forms.py
from django import forms

class Todo_Form(forms.Form):
    error_messages = {
        'required': 'Tolong isi input ini',
    }
    name_attrs = {
        'type': 'text',
        'class': 'todo-form-input',
        'placeholder':'Masukan nama...'
    }
    url_attrs = {
        'type': 'text',
        'class': 'todo-form-input',
        'placeholder':'Masukan url...'
    }

    title = forms.CharField(label='', required=True, max_length=27, widget=forms.TextInput(attrs=name_attrs))
    description = forms.CharField(label='', required=True, widget=forms.TextInput(attrs=url_attrs))

profileMenu/forms.py
from django import forms
import datetime
from .models import Account, Tag
from .init_profile import init_database_account

class Edit_Profile_Form(forms.Form):
    init_database_account()
    account = Account.objects.all()[0]

    CHOICES = tuple([(tag.id, tag.name) for tag in Tag.objects.filter(account = account.id)])

    error_messages = {"required": "This is a required field",
            }

    name_attrs = {
            'type': 'text',
            'class': 'edit-profile-name',
            'placeholder' : 'Insert name here...',
        }

    email_attrs = {
            'required' : 'this is a required field',
            'placeholder': 'ex: example@example.com',
            }

    profile_url_attrs = {
            'placeholder' : 'ex: example.com/example.jpg',
            }

    name = forms.CharField(label='Name', required=True, max_length=60,
            widget=forms.TextInput(attrs=name_attrs))
    
    birth = forms.DateField(label='Birth Date', initial=datetime.date.today, required=True)
    email = forms.EmailField(label='E-mail', widget = forms.EmailInput(attrs=email_attrs))
    profile_url = forms.URLField(label='Profile Image URL', widget=forms.URLInput(attrs = profile_url_attrs))
    tags = forms.MultipleChoiceField(label='Expertise', choices = CHOICES)

t1_status/forms.py
from django import forms

class Status_Form(forms.Form):
    error_messages = {
        'required': 'Tolong isi input ini',
    }

    status_attrs = {
        'type': 'text',
        'cols': 50,
        'rows': 2,
        'class': 'todo-form-textarea',
        'placeholder':'Masukkan status...'
    }

    status = forms.CharField(label='', required=True, widget=forms.Textarea(attrs=status_attrs))

addfriend/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect
from .forms import Todo_Form
from .models import Todo

response = {}
def index(request):   
    response['author'] = "Kel 14" #TODO Implement yourname
    todo = Todo.objects.all()
    response['todo'] = todo
    html = 'addfriend/addfriend.html'
    response['todo_form'] = Todo_Form
    return render(request, html, response)

def add_friend(request):
    form = Todo_Form(request.POST or None)
    if(request.method == 'POST' and form.is_valid()):
        response['title'] = request.POST['title']
        response['description'] = request.POST['description']
        masukkan = Todo(title=response['title'], description=response['description'])
        masukkan.save()
        return HttpResponseRedirect('/addfriend/')
    else:        
        return HttpResponseRedirect('/addfriend/')

profileMenu/views.py
from django.shortcuts import render
from datetime import datetime
from .models import Account, Tag
from django.contrib.staticfiles.templatetags.staticfiles import static
from .init_profile import init_database_account, name
#from .forms import Edit_Profile_Form

response = {'author' : name}
        
def index(request):
    init_database_account()
    account = Account.objects.all()[0]
    tags = Tag.objects.filter(account = account.id)

    response['birthday'] = account.birth.strftime("%d %b")
    response['account'] = account
    response['tags'] = tags
    if (account.imageUseDefault):
        response['imgurl'] = static("profileMenu/Profile.png")
    html = 'profileMenu/prof.html'
    return render(request, html, response)


"""
def editProfile(request):
    init_database_account()
    account = Account.objects.all()[0]
    response['editProfileForm'] = Edit_Profile_Form
    html = 'profileMenu/editProf.html'
    return render(request, html, response)

"""

t1_status/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect
from .forms import Status_Form
from .models import Status
from profileMenu.models import Account
from profileMenu.init_profile import init_database_account
from django.contrib.staticfiles.templatetags.staticfiles import static

# Create your views here.
response = {}
def index(request):
    init_database_account()
    account = Account.objects.all()[0]
    response['author'] = account.name
    status = Status.objects.all().order_by('-created_date')
    response['status'] = status
    if (account.imageUseDefault):
        response['imgurl'] = static('profileMenu/Profile.png')
    html = 'status/status.html'
    response['status_form'] = Status_Form
    return render(request, html, response)

def add_status(request):
    form = Status_Form(request.POST or None)
    if(request.method == 'POST' and form.is_valid()):
        response['status'] = request.POST['status']
        status = Status(status=response['status'])
        status.save()
    return HttpResponseRedirect('/status/')

addfriend/templates/addfriend/addfriend.html
{% extends "addfriend/layout/base.html" %}

{% block content %}
<h1 class="main-title">TODOLIST</h1>
<hr/>
<section name="input-list" id="input-list">
    <div class="container">
        <form id="form" method="POST" action="{% url 'addfriend:add_friend' %}">
            <h2>Input Todo</h2>
            {% csrf_token %}
            {{ todo_form }}
            <input id="submit" type="submit" class="btn btn-lg btn-block btn-info" value="Submit">
            <br>
        </form>
    </div>
</section>
<section name="my-list" id="my-list">
    <div class="container">
        <h2 class="my-list-title">My List</h2>
        <div class="flex">
            {% if todo %}
                {% for data in todo %}
                    <div class="flex-item">
                        <div class="to-do-list">
                            <div class="to-do-list-title">
                                {{data.title}}
                            </div>
                            <div class="to-do-list-date-added">
                                {{data.created_date}}
                            </div>
                            <div class="to-do-list-description">
                                <a href="{{ data.url }}" target="_blank">{{ data.url }}</a>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            {% else %}
            <div class="alert alert-danger text-center">
                <strong>Oops!</strong> Tidak ada data Teman
            </div>
            {% endif %}
        </div>
    </div>
</section>

{% endblock %}

addfriend/templates/addfriend/layout/base.html
{% load staticfiles %}
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="Add Friend">
    <meta name="author" content="{{author}}">
    <!-- bootstrap csss -->
    <link href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="{% static 'css/addfriend.css' %}" />

    <title>
        {% block title %} Add Friend By {{author}} {% endblock %}
    </title>
</head>

<body>
    <header>
        {% include "partials/header.html" %}
    </header>
    <content>
            {% block content %}
                <!-- content goes here -->
            {% endblock %}
    </content>
    <footer>
        <!-- TODO Block Footer dan include footer.html -->
        {% block footer %}
        {% include "partials/footer.html" %}
        {% endblock %}
    </footer>

    <!-- Jquery n Bootstrap Script -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <script type="application/javascript">
      $(function() {
          $('a[href*="#"]:not([href="#"])').click(function() {
            if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') && location.hostname == this.hostname) {
              var target = $(this.hash);
              target = target.length ? target : $('[name=' + this.hash.slice(1) +']');
              if (target.length) {
                $('html, body').animate({
                  scrollTop: target.offset().top - 55
                }, 1000);
                return false;
              }
            }
          });
        });
    </script>
</body>
</html>

addfriend/templates/addfriend/partials/footer.html
<!-- templates/lab_5/partials/footer.html -->
<!-- TODO, CREATE THIS FILE AND ADD copyright symbol -->
<p>Made with Love by {{author}}</p>

profileMenu/templates/profileMenu/editProf.html
{% extends "layout/base.html" %}
{% load staticfiles %}
{% block content %}
	<div class="container-fluid">
		<div class="col-sm-4">
		<center>
			<img class="image_profile" alt="My image" height="200" src={{ imgurl }} width="200">
			<h1>{{author}}</h1>
		</center>
		</div>
		<hr>
		<div class="col-sm-8">
			<h2>Biografiasjdosajdlksandklsandklasn</h2>
			<table>
			
				<tr>
					<td><div class="category" >Birthday </div></td>
					<td>{{birthday}}</td>
				</tr>
				<tr>
					<td><div class="category" >Gender</div></td>
					<td>{{account.gender}}</td>
				</tr>
				<tr>
					<td><div class="category" >E-mail</div></td>
					<td>{{account.email}}</td>
				<tr>
					<td><div class="category" >Expertise</div></td>
					<td> <table>{% for ii in tags %} <td> <div class="tags">{{ ii.name }}</div></td>
					{% endfor %}
					</table>
					</td>
				<tr>
					<td><div class="category" >Description</div></td>
					<td>{{account.desc}}</td>
				</tr>
			</table>
			</div>
		<hr>
	</div>
{% endblock %}

profileMenu/templates/profileMenu/prof.html
{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="description" content="Hepzibook">
    <meta name="author" content="{{author}}">
    <!-- bootstrap csss -->
    <!-- link href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css" rel="stylesheet">    -->
	<link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="{% static 'css/base.css' %}" />
	<link rel="stylesheet" type="text/css" href="{% static 'css/profileMenu.css' %}" />
    <title> 
        {% block title %}Hepzibook{% endblock %}
    </title>
</head>
<body>
    <header>
        {% include "partials/header.html" %}
    </header>
    <content>
	<div class="container-fluid">
		<div class="col-sm-4">
		<center>
			<img class="image_profile" alt="My image" height="200" src={{ imgurl }} width="200">
			<h1>{{author}}</h1>
		</center>
		</div>
		<hr>
		<div class="col-sm-8">
			<h2>Biografi</h2>
			<table>
				<tr>
					<td><div class="category" >Birthday </div></td>
					<td>{{birthday}}</td>
				</tr>
				<tr>
					<td><div class="category" >Gender</div></td>
					<td>{{account.gender}}</td>
				</tr>
				<tr>
					<td><div class="category" >E-mail</div></td>
					<td>{{account.email}}</td>
				<tr>
					<td><div class="category" >Expertise</div></td>
					<td> <table>{% for ii in tags %} 
						{% if ii.checked %}
						<td> <div class="tags">{{ ii.name }}</div></td>
						{% endif %}
					{% endfor %}
					</table>
					</td>
				<tr>
					<td><div class="category" >Description</div></td>
					<td>{{account.desc}}</td>
				</tr>
			</table>
			</div>
		<hr>
	</div>

    </content>
    <footer>
        <!-- TODO Block Footer dan include footer.html -->
        {% block footer %}
        {% include "partials/footer.html" %}
        {% endblock %}
    </footer>

    <!-- Jquery n Bootstrap Script -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
</body>
</html>

t1_status/templates/status/layout/base.html
{% load staticfiles %}
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="Update Status">
    <meta name="author" content="{{author}}">
    <!-- bootstrap csss -->
    <link href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="{% static 'css/status.css' %}" />
    <title>
        {% block title %} Update Status By {{author}} {% endblock %}
    </title>
</head>

<body>
    <header>
        {% include "partials/header.html" %}
    </header>
    <content>
            {% block content %}
                <!-- content goes here -->
            {% endblock %}
    </content>
    <footer>
        <!-- TODO Block Footer dan include footer.html -->
        {% block footer %}
        {% include "partials/footer.html" %}
        {% endblock %}
    </footer>

    <!-- Jquery n Bootstrap Script -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <script type="application/javascript">
      $(function() {
          $('a[href*="#"]:not([href="#"])').click(function() {
            if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') && location.hostname == this.hostname) {
              var target = $(this.hash);
              target = target.length ? target : $('[name=' + this.hash.slice(1) +']');
              if (target.length) {
                $('html, body').animate({
                  scrollTop: target.offset().top - 55
                }, 1000);
                return false;
              }
            }
          });
        });
    </script>
</body>
</html>

t1_status/templates/status/partials/footer.html
<!-- templates/lab_5/partials/footer.html -->
<!-- TODO, CREATE THIS FILE AND ADD copyright symbol -->
<p>Made with Love by {{author}}</p>

t1_status/templates/status/status.html
{% extends "status/layout/base.html" %}

{% block content %}
<h1 class="main-title">UPDATE STATUS</h1>
<hr/>
<section name="input-list" id="input-list">
    <div class="container">
        <form id="form" method="POST" action="{% url 'status:add_status' %}">
            <h2>Update Status</h2>
            {% csrf_token %}
            {{ status_form }}
            <input id="submit" type="submit" class="btn btn-lg btn-block btn-info" value="Update">
            <br>
        <h2 class="status-title">Status Terbaru</h2>
        <div class="flex">
            {% if status %}
                {% for data in status %}
                    <div class="flex-item">
                        <div class="to-do-list">
                            <div class="to-do-list-author">
                                {{author}}
                            </div>
                            <div class="to-do-list-status">
                                {{data.status}}
                            </div>
                            <img class="img-circle" src="{{ imgurl }}" >
                            <div class="to-do-list-date-added">
                                {{data.created_date}}
                            </div>
                        </div>
                    </div>
                {% endfor %}
            {% else %}
            <div class="alert alert-danger text-center">
                <strong>Oops!</strong> Tidak ada data status terbaru.
            </div>
            {% endif %}
        </div>
        </form>    
    </div>
    
</section>

{% endblock %}

templates/layout/base.html
{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="description" content="Hepzibook">
    <meta name="author" content="{{author}}">
    <!-- bootstrap csss -->
    <!-- link href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css" rel="stylesheet">    -->
	<link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="{% static 'css/base.css' %}" />
    <title> 
        {% block title %}KerjaIn{% endblock %}
    </title>
</head>
<body>
    <header>
        {% include "partials/header.html" %}
    </header>
    <content>
            {% block content %}
                <!-- content goes here -->
            {% endblock %}

    </content>
    <footer>
        <!-- TODO Block Footer dan include footer.html -->
        {% block footer %}
        {% include "partials/footer.html" %}
        {% endblock %}
    </footer>

    <!-- Jquery n Bootstrap Script -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
</body>
</html>

templates/partials/footer.html
<div id="footer"><center><p>Dibuat oleh Kelompok 14 dan Tim PPW 2017.<br>Hak cipta &copy; dilindungi undang-undang.</p></center></div>

templates/partials/header.html
<!-- Fixed navbar -->
    <nav class="navbar navbar-default navbar-static-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="{% url 'profileMenu:index' %}#profile">KerjaIn</a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
			<ul class="nav navbar-nav">
			<!-- LINK MENUJU table, dan link menuju home#form -->
			<li><a href="{% url 'profileMenu:index' %}#profile"> Profile </a></li>
			<li><a href="{% url 'status:index' %}#status"> Status </a></li>
			<li><a href="{% url 'addfriend:index' %}#addfriend"> Add A Friend </a> </li>
			</ul>
        </div><!--/.nav-collapse -->
      </div>
    </nav>